<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ce_activites', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('activite');
            $table->string('theme');
            $table->string('lieu');
            $table->string('date');
            $table->string('texte');
            $table->integer('order');
            $table->unsignedBigInteger('school_matter_id'); 
            $table->unsignedBigInteger('report_quarter_id');
            $table->foreign('school_matter_id')->references('id')->on('school_matter')->onDelete('cascade');
            $table->foreign('report_quarter_id')->references('id')->on('report_quarters')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ce_activites');
    }
};
